## drbd8 8.4.4

=== benchmark/Makefile ===
CFLAGS=-Wall $(OPTFLAGS)

OPTFLAGS=-O2

all: dm io-latency-test

io-latency-test: io-latency-test.c
	$(CC) -pthread -lm -o $@ $^

install:

clean:
	rm -f dm io-latency-test

distclean: clean

=== drbd/Makefile ===
# makefile for drbd for linux 2.4 // 2.6
#
# By Lars Ellenberg.
#
# drbd is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# drbd is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with drbd; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
#

# usage: make [ KDIR=/path/to/kernel/source ]
#
# this file is read twice:
# the first invocation calls out to the toplevel Makefile in the
# kernel source tree, which then in turn will call this file again
# as subdir Makefile, with all appropriate vars and macros set.
#
# note: if you get strange make errors when ARCH=um, you
# probably need to "make mrproper" in the KDIR first...

# The destination "root" directory. Meant to be overridden by
# packaging scripts.
DESTDIR ?= /

# since 2.6.16, KERNELRELEASE may be empty,
# e.g. when building agains some (broken?) linux-header package.
# Lets test on PATCHLEVEL, that won't change too soon...

ifneq ($(PATCHLEVEL),)
 ifneq ($(VERSION),3)
  ifneq ($(VERSION),2)
    $(error "won't compile with this kernel version")
  endif
  ifneq ($(PATCHLEVEL),6)
    $(error "won't compile with this kernel version")
  endif
 endif

  CONFIG_BLK_DEV_DRBD := m

  include $(src)/Kbuild

else
  # called from command line in current directory

  # for some reason some of the commands below only work correctly in bash,
  # and not in e.g. dash. I'm too lazy to fix it to be compatible.
  SHELL=/bin/bash

  DRBDSRC := $(shell pwd)

  # to be overridden on command line:
  PREFIX := /
  ifneq ($(wildcard ../build-for-uml),)
    #### for Philipp's convenience :)
    ARCH_UM := "ARCH=um"
    KDIR := /usr/src/linux-um
  else
    ifeq ($(wildcard /lib/modules/$(shell uname -r)/source),)
      KDIR := /lib/modules/$(shell uname -r)/build
    else
      KDIR := /lib/modules/$(shell uname -r)/source
      ifneq ("$(origin KDIR)", "command line")
        ifneq ($(wildcard /lib/modules/$(shell uname -r)/build),)
          O := /lib/modules/$(shell uname -r)/build
        endif
      endif
    endif
  endif

  .PHONY: drbd.o default all greeting clean kbuild install dep tags

  drbd.o: greeting kbuild
  default: drbd.o
  all:     drbd.o

  greeting:
	@echo "" ;\
	echo "    Calling toplevel makefile of kernel source tree, which I believe is in" ;\
	echo "    KDIR=$(KDIR)" ; \
	echo "";
	@if ! test -e $(KDIR)/Makefile ; then \
		echo -e "    SORRY, kernel makefile not found. You need to tell me a correct KDIR!\n" ;\
		false;\
	fi

.PHONY: drbd_buildtag.c

  drbd_buildtag.c:
	@set -e; exec > $@.new;							\
	echo -e "/* automatically generated. DO NOT EDIT. */";			\
	echo -e "#include <linux/drbd.h>";					\
	echo -e "const char *drbd_buildtag(void)\n{";				\
	if test -e ../.git && GITHEAD=$$(git rev-parse HEAD); then		\
		GITDIFF=$$(cd .. && git diff --name-only HEAD |			\
			tr -s '\t\n' '  ' |					\
			sed -e 's/^/ /;s/ *$$//');				\
		echo -e "\treturn \"GIT-hash: $$GITHEAD$$GITDIFF\"";		\
	elif ! test -e $@ ; then						\
		echo >&2 "$@ not found.";					\
		test -e ../.git &&						\
		>&2 printf "%s\n"						\
			"git did not work, but this looks like a git checkout?"	\
			"Install git and try again." ||				\
		echo >&2 "Your DRBD source tree is broken. Unpack again.";	\
		exit 1;								\
	else									\
		grep return $@ ;						\
	fi ;									\
	echo -e "\t\t\" build by $$USER@$$HOSTNAME, `date "+%F %T"`\";\n}";	\
	mv --force $@.new $@

  kbuild: drbd_buildtag.c
	@rm -f .drbd_kernelrelease*
    # previous to 2.6.6 (suse: 2.6.5-dunno), this should be:
	$(MAKE) -C $(KDIR)  $(if $(O),O=$(O),) SUBDIRS=$(DRBDSRC) $(ARCH_UM) modules
# $(MAKE) -C $(KDIR) M=$(DRBDSRC) $(ARCH_UM) modules
	-mv .drbd_kernelrelease.new .drbd_kernelrelease
	@echo -n "Memorizing module configuration ... "
	@config=$$( (for x in $(KDIR)/.config $(O)/.config ; do \
	       if test -e $$x ; then echo $$x ; exit 0; fi ; \
	       done; echo $(KDIR)/.config) | sed -e 's,//,/,g') ; \
	{ echo -e "#\n# drbd.o was compiled with"          ; \
	  echo "#  `gcc -v 2>&1 | tail -1`"                 ; \
	  echo "# against this kernelrelease:"              ; \
	  sed 's/^/#  /' .drbd_kernelrelease                ; \
	  echo    "# kernel .config from"                   ; \
	  echo -n "#  $$config"                      ; \
	  test -L "$${config%/.config}" && echo "	alias"   &&           \
	  echo "#  $$(readlink $${config%/.config})/.config" || echo "" ; \
	  echo -e "# follows\n#\n"                          ; \
	  cat $$config ; } | gzip > .kernel.config.gz
	@echo "done."

  clean:
	rm -rf .tmp_versions Module.markers Module.symvers modules.order
	rm -f *.[oas] *.ko .*.cmd .*.d .*.tmp *.mod.c .*.flags .depend .kernel*
	rm -f compat/*.[oas] compat/.*.cmd

  distclean: clean
	@if git show HEAD:drbd/linux/drbd_config.h > linux/drbd_config.h.tmp \
	&& ! diff -s -U0 linux/drbd_config.h.tmp linux/drbd_config.h ; then \
		mv linux/drbd_config.h.tmp linux/drbd_config.h ; \
	else \
		rm -f linux/drbd_config.h.tmp ; \
	fi

  tags:
	ctags -R -I__initdata,__exitdata,__acquires,__releases \
		-I __must_hold,__protected_by,__protected_read_by,__protected_write_by \
		-I BIO_ENDIO_ARGS

  ifneq ($(wildcard .drbd_kernelrelease),)
    # for VERSION, PATCHLEVEL, SUBLEVEL, EXTRAVERSION, KERNELRELEASE
    include .drbd_kernelrelease
    MODOBJ := drbd.ko
    MODSUBDIR := updates
    LINUX := $(wildcard /lib/modules/$(KERNELRELEASE)/build)

    install:
	@if ! [ -e $(MODOBJ) ] ; then \
	  echo "No $(MODOBJ): nothing to install??"; false ; \
	fi
	install -d $(DESTDIR)/lib/modules/$(KERNELRELEASE)/$(MODSUBDIR)
	install -m 644 $(MODOBJ) $(DESTDIR)/lib/modules/$(KERNELRELEASE)/$(MODSUBDIR)
    ifeq ($(DESTDIR),/)
      ifeq ($(shell uname -r),$(KERNELRELEASE))
	/sbin/depmod -a || /sbin/depmod -e $(MODOBJ) 2>&1 >/dev/null || true
      else
	[ -e $(LINUX)/System.map ] && \
	   /sbin/depmod -F $(LINUX)/System.map -e ./$(MODOBJ) 2>&1 >/dev/null || true
      endif
    endif
  else
    install:
	@echo "No .drbd_kernelrelease found. Do you need to 'make' the module first?"
	@false
  endif

  depmod:
	[ -e $(KDIR)/System.map ] && [ -e ./$(MODOBJ) ] && \
	   /sbin/depmod -F $(KDIR)/System.map -n -e ./$(MODOBJ) # 2>&1 >/dev/null
endif

uninstall:

spell:
	for f in $(wildcard *.c); do \
	 	aspell --save-repl --dont-backup --personal=./../documentation/aspell.en.per check $$f; \
	done

=== debian/changelog ===
drbd8 (2:8.4.4-1ubuntu1) trusty; urgency=medium

  * debian/patches/ppc64el-ftbfs.patch: Fix build failure on ppc64el.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2014 18:40:32 -0800

drbd8 (2:8.4.4-1) unstable; urgency=low

  * New upstream version (Closes: #714210, #721443, #711781)
  * Do not participate in the usage count by default (Closes: #711352)
  * Basic systemd support
  * Bump compat to 9 and standards to 3.9.5
  * Convert to dh sequencer
    + use dh_installinit for the initscript and use the default ordering
     (Closes: #476544)
  * Two new patches, fixing automatic chainloading of legacy drbdsetup when
    kernel DRBD is 8.3:
    + 0001-drbdsetup-use-lib-drbd-drbdsetup-83.patch
    + 0002-drbdsetup-delay-exiting-due-to-unknown-commands.patch
  * Convert copyright to Format 1.0
  * Remove unnecessary (build-)dependencies:
    bison, bzip2, debconf
  * Fix Vcs-Git URL

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Thu, 07 Nov 2013 14:02:13 +0200

=== debian/control ===
Source: drbd8
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian DRBD Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders: Norbert Tretkowski <norbert@tretkowski.de>,
 Martin Loschwitz <madkiss@debian.org>,
 Philipp Hug <debian@hug.cx>,
 Apollon Oikonomopoulos <apoikos@gmail.com>
Build-Depends: debhelper (>= 9), flex, xsltproc, git, dh-systemd (>= 1.5)
Standards-Version: 3.9.5
Homepage: http://www.drbd.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-ha/drbd.git
Vcs-Git: git://anonscm.debian.org/debian-ha/drbd/

Package: drbd8-utils
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Conflicts: drbd-utils
Provides: drbd-utils
Replaces: drbd-utils, drbd
Suggests: heartbeat
Recommends: heirloom-mailx|mailx
Description: RAID 1 over TCP/IP for Linux (user utilities)
 Drbd is a block device which is designed to build high availability
 clusters by providing a virtual shared device which keeps disks in
 nodes synchronised using TCP/IP. This simulates RAID 1 but avoiding
 the use of uncommon hardware (shared SCSI buses or Fibre Channel).
 It is currently limited to fail-over HA clusters.
 .
 This package contains the programs that will control the drbd kernel
 module provided in the Linux kernel.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@ --with systemd

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/drbd8-utils.drbd.init

override_dh_auto_configure:
	./configure --prefix=/usr --localstatedir=/var --sysconfdir=/etc \
		--sbindir=/sbin --with-utils --with-udev --with-xen \
		--with-pacemaker --with-rgmanager --with-bashcompletion


override_dh_install:
	dh_install --fail-missing

	# Move udev rule to /lib/udev/rules.d (Fixes lintian warning)
	mv $(CURDIR)/debian/drbd8-utils/etc/udev/rules.d/* $(CURDIR)/debian/drbd8-utils/lib/udev/rules.d/
	rm -r $(CURDIR)/debian/drbd8-utils/etc/udev

	# Move drbd-overview to /usr/sbin
	mv $(CURDIR)/debian/drbd8-utils/sbin/drbd-overview $(CURDIR)/debian/drbd8-utils/usr/sbin/

	# Place the initscript where dh_installinit can find it
	mv $(CURDIR)/debian/drbd8-utils/etc/init.d/drbd $(CURDIR)/debian/drbd8-utils.drbd.init


override_dh_installinit:
	dh_installinit --name=drbd --no-start


.PHONY: override_dh_auto_configure override_dh_install \
	override_dh_auto_clean override_dh_installinit

=== debian/watch ===
version=3
http://oss.linbit.com/drbd/ 8.3/drbd-(.*).tar.gz
